#!/bin/sh
#copyright	"%c%"
#ident	"@(#)opensrc:src/openldap/openldap.sh /main/uw714mp/2"

#
# dist/			Source files from openldap-2.1.22 distribution.
# patches/		Patches to be applied.
# openldap.sh		Build script - this file.
# openldap.depend	Depend file.
#

set -x
set -e

cd dist
for patch in 2.1.22-port
do
        [ -f ../patches/${patch}.applied ] || {
                /bin/patch -c -p1 -i ../patches/${patch}.patch
                /bin/date > ../patches/${patch}.applied
        }
done

# Configure and build in a separate work directory.
cd ..
/bin/mkdir -p work
cd work

# Use -Kthread instead of -lthread.
CFLAGS="$CFLAGS -Kthread"; export CFLAGS

# Do not explicitly link libc in shared libraries.
lt_cv_archive_cmds_need_lc=no; export lt_cv_archive_cmds_need_lc

#
# TODO
# During next revision, set --libexecdir=/usr/sbin
#
../dist/configure \
	--cache-file=/dev/null \
	--host=i686-sco-sysv5uw7 \
	--build=i686-sco-sysv5uw7 \
	--prefix=/usr \
	--sysconfdir=/etc \
	--localstatedir=/var \
	--enable-syslog \
	--enable-dynamic \
	--with-threads=lwp \
	--with-tls \
	--enable-crypt \
	--enable-ldbm \
	--with-ldbm-api=berkeley \
	--enable-slurpd

# makedep generates a heap of errors that we don't need to see.
$MAKE depend >/dev/null 2>&1

# Install headers in xenv.
$MAKE DESTDIR=$TOOLS SUBDIRS="include" install

# Make and install libraries in xenv.
$MAKE DESTDIR=$TOOLS SUBDIRS="libraries" install

# Make and install everything in $ROOT/$MACH.
$MAKE DESTDIR=$ROOT/$MACH install

cd ../dist

# Install copyright files.
$INSTALL -d $ROOT/$MACH/usr/share/openldap
$INSTALL -m 0444 COPYRIGHT LICENSE $ROOT/$MACH/usr/share/openldap
